Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		aufs2-util
#Epoch:		0
Version:	20110331
Release:	1
License:	GNU/GPLv2+	
URL:		http://aufs.sourceforge.net/
Group:		System/Filesystems
Summary:	advanced multi layered unification filesystem
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tar.bz2

# Patches:
Patch0:		aufs2-util-install.patch

# Requires:

# BuildRequires:
BuildRequires: glibc-devel
BuildRequires: kernel-headers

%description
Aufs is a stackable unification file system, which can merge the
contents of several directories (so called branches) while keeping
their physical content separate. It allows any mix of read-only and
read-write branches, as well as insertion and deletion of branches on
the fly.

%pre

%preun

%post
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%postun
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1

%build
#./configure \
#--prefix=%_prefix \
#--disable-debug

make %{?_smp_mflags}

%install
rm -Rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# strip debug symbols from binaries
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_sysconfdir}/default/aufs
/sbin/auibusy
/sbin/auplink
/sbin/mount.aufs
/sbin/umount.aufs
%{_bindir}/aubrsync
%{_bindir}/aubusy
%{_bindir}/auchk
%{_libdir}/libau.so
%{_libdir}/libau.so.2
%{_libdir}/libau.so.2.5
%{_mandir}/man5/aufs.5.gz

%clean
rm -Rf $RPM_BUILD_ROOT && rm -Rf $RPM_BUILD_DIR/%{name}-*

%changelog
* Thu Mar 31 2011 Karsten Brockmann <arcam@ccux-linux.de> 20110331-1
- initial CCux package release
